## debug-me 1.20170810

=== debian/changelog ===
debug-me (1.20170810-2) unstable; urgency=medium

  * Bump graphviz dependency to 2999.20.*.
    Thanks to Gianfranco Costamagna for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 09 Jul 2018 10:35:06 +0100

debug-me (1.20170810-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Aug 2017 15:56:41 -0400

debug-me (1.20170520-1) unstable; urgency=medium

  * New upstream release.
  * Install debug-me developers' keyring into /usr/share/debug-me/keyring
    - New build-dep on dh-exec
    - d/debug-me.install now executable.
  * Symlink some Debian keyrings into /usr/share/debug-me/keyring.
    - Recommend debian-keyring package.
  * Expand long descriptions using manpage update in this release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 May 2017 21:07:50 +0100

debug-me (1.20170509-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 May 2017 08:59:23 -0700

debug-me (1.20170505-1) unstable; urgency=medium

  * Initial release (Closes: #861920).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 09 May 2017 13:55:16 -0700
