=== debian/control ===
Source: debug-me
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Priority: optional
Section: net
Build-Depends: debhelper (>= 10),
 dh-exec,
 ghc,
 libghc-aeson-dev (>= 0.11),
 libghc-aeson-dev (<< 1.3),
 libghc-async-dev (>= 2.1),
 libghc-cereal-dev (>= 0.5),
 libghc-cryptonite-dev (>= 0.20),
 libghc-graphviz-dev (>= 2999.18),
 libghc-graphviz-dev (<< 2999.21),
 libghc-http-client-dev (>= 0.4),
 libghc-http-client-tls-dev (>= 0.2),
 libghc-http-types-dev (>= 0.9),
 libghc-memory-dev (>= 0.13),
 libghc-mime-mail-dev (>= 0.4),
 libghc-network-dev (>= 2.6),
 libghc-network-uri-dev (>= 2.6),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-posix-pty-dev (>= 0.2.1),
 libghc-protobuf-dev (>= 0.2),
 libghc-sandi-dev (>= 0.4),
 libghc-stm-dev (>= 2.4),
 libghc-stm-chans-dev (>= 3.0),
 libghc-terminal-size-dev (>= 0.3),
 libghc-text-dev (>= 1.2.2),
 libghc-unbounded-delays-dev (>= 0.1),
 libghc-unordered-containers-dev (>= 0.2),
 libghc-utf8-string-dev (>= 1.0),
 libghc-uuid-dev (>= 1.3),
 libghc-wai-dev (>= 3.2),
 libghc-wai-websockets-dev (>= 3.0),
 libghc-warp-dev (>= 3.2),
 libghc-websockets-dev (>= 0.9),
Standards-Version: 4.0.1
Homepage: https://debug-me.branchable.com/
Vcs-Git: https://git.spwhitton.name/debug-me
Vcs-Browser: https://git.spwhitton.name/debug-me

Package: debug-me
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Recommends: gnupg, debian-keyring
Description: secure remote debugging
 Debugging a problem over email/irc/BTS is slow, tedious, and
 hard. The developer needs to see the your problem to understand
 it. Debug-me aims to make debugging fast, fun, and easy, by letting
 the developer access your computer remotely, so they can immediately
 see and interact with the problem. Making your problem their problem
 gets it fixed fast.
 .
 A debug-me session is logged and signed with the developer's GnuPG
 key, producing a chain of evidence of what they saw and what they
 did. So the developer's good reputation is leveraged to make debug-me
 secure.  If you trust a developer to ship software to your computer,
 you can trust them to debug-me.
 .
 This package should be installed by desktop users -- both developers
 who want to debug, and users who want their problems debugged.  To
 set up a debug-me server, install the debug-me-server package.

Package: debug-me-server
Architecture: all
Depends: ${misc:Depends},
 debug-me,
 lsb-base (>= 3.0-6),
 adduser,
 default-mta | mail-transport-agent,
Description: run a debug-me server for secure remote debugging
 Debugging a problem over email/irc/BTS is slow, tedious, and
 hard. The developer needs to see the your problem to understand
 it. Debug-me aims to make debugging fast, fun, and easy, by letting
 the developer access your computer remotely, so they can immediately
 see and interact with the problem. Making your problem their problem
 gets it fixed fast.
 .
 A debug-me session is logged and signed with the developer's GnuPG
 key, producing a chain of evidence of what they saw and what they
 did. So the developer's good reputation is leveraged to make debug-me
 secure.  If you trust a developer to ship software to your computer,
 you can trust them to debug-me.
 .
 This package sets up a debug-me server.  If you don't want to do
 that, install only the debug-me package.
