## debug-me 1.20181208

=== debian/changelog ===
debug-me (1.20181208-2) unstable; urgency=medium

  * Remove recursive chown from the postinst.
    The situation in which I (presumably) thought it would be needed
    cannot actually arise; see comments in the postinst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Dec 2018 16:56:33 -0700

debug-me (1.20181208-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep bounds.
  * Drop build-dep on haskell-stm.
  * Build-dep on ghc (>= 8.4.3), with which haskell-stm is now bundled.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Dec 2018 12:21:04 -0700
