=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: net
 Build-Depends: debhelper (>= 10),
  dh-exec,
- ghc,
+ ghc (>= 8.4.3),
  libghc-aeson-dev (>= 0.11),
- libghc-aeson-dev (<< 1.3),
+ libghc-aeson-dev (<< 1.4),
  libghc-async-dev (>= 2.1),
  libghc-cereal-dev (>= 0.5),
  libghc-cryptonite-dev (>= 0.20),
- libghc-graphviz-dev (>= 2999.18),
+ libghc-graphviz-dev (>= 2999.18.0),
  libghc-graphviz-dev (<< 2999.21),
  libghc-http-client-dev (>= 0.4),
  libghc-http-client-tls-dev (>= 0.2),
@@ -23,7 +23,6 @@
  libghc-posix-pty-dev (>= 0.2.1),
  libghc-protobuf-dev (>= 0.2),
  libghc-sandi-dev (>= 0.4),
- libghc-stm-dev (>= 2.4),
  libghc-stm-chans-dev (>= 3.0),
  libghc-terminal-size-dev (>= 0.3),
  libghc-text-dev (>= 1.2.2),
