## debug-me 1.20190926

=== debian/changelog ===
debug-me (1.20190926-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:57:52 +0000

debug-me (1.20190926-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:48:31 +0000

debug-me (1.20190926-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Sep 2019 10:51:54 -0700

debug-me (1.20181208-3) unstable; urgency=medium

  * Bump dependency bounds
  * Patch to fix xmonad failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 16:30:19 +0200
