## debug-me 1.20200820

=== debian/changelog ===
debug-me (1.20200820-1) unstable; urgency=medium

  * New upstream release (Closes: #968717).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Aug 2020 07:46:36 -0700

debug-me (1.20190926-2) unstable; urgency=medium

  * Fix build (Closes: #963862):
    - Patch Val.hs for recent ghc: replace type constraint Monad -> MonadFail
    - Patch Server.hs for recent Network.WebSockets: hide import of
      Network.WebSockets.serverPort.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 14 Jul 2020 19:44:25 -0700
