## debug-me 1.20220324

=== debian/changelog ===
debug-me (1.20220324-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dep bounds for libghc-aeson-dev and libghc-websockets-dev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 May 2022 14:58:59 -0700
