=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-exec,
  ghc (>= 8.4.3),
  libghc-aeson-dev (>= 0.11),
- libghc-aeson-dev (<< 1.5),
+ libghc-aeson-dev (<< 2.1),
  libghc-async-dev (>= 2.1),
  libghc-cereal-dev (>= 0.5),
  libghc-cryptonite-dev (>= 0.20),
@@ -33,7 +33,7 @@
  libghc-wai-dev (>= 3.2),
  libghc-wai-websockets-dev (>= 3.0),
  libghc-warp-dev (>= 3.2),
- libghc-websockets-dev (>= 0.9),
+ libghc-websockets-dev (>= 0.12.6.0),
 Standards-Version: 4.0.1
 Homepage: https://debug-me.branchable.com/
 Vcs-Git: https://git.spwhitton.name/debug-me
