## debug-me 1.20221231

=== debian/changelog ===
debug-me (1.20221231-2.1build1) resolute; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:55:42 +0100

debug-me (1.20221231-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:11:19 +0200

debug-me (1.20221231-2) unstable; urgency=medium

  * Disable link time optimisation on ppc64el (Closes: #1052313).
    Thanks to Heinrich Schuchardt for the patch.
  * Bump Aeson dependency bounds to allow 2.1 (Closes: #1054930).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 Nov 2023 10:21:15 +0000

debug-me (1.20221231-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Jul 2023 16:38:00 +0100
