=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-exec,
  ghc (>= 8.4.3),
  libghc-aeson-dev (>= 0.11),
- libghc-aeson-dev (<< 2.1),
+ libghc-aeson-dev (<< 2.2),
  libghc-async-dev (>= 2.1),
  libghc-cereal-dev (>= 0.5),
  libghc-cryptonite-dev (>= 0.20),
