=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,18 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS := 1
+include /usr/share/dpkg/architecture.mk
 
 # Debian's ghc cannot compile anything with -fPIC at present, so we
 # have to disable PIE hardening to avoid build failures on archs like
 # amd64.  See discussion on debian-haskell@lists.debian.org
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+
+# Building with LTO failed on ppc64el (LP: #2033639)
+ifeq ("$(DEB_BUILD_ARCH)", "ppc64el")
+	DEB_BUILD_MAINT_OPTIONS += optimize=-lto
+endif
+export DEB_BUILD_MAINT_OPTIONS
 
 # cabal likes to write to $HOME, so use Setup.hs directly
 export BUILDER = ./Setup
